umbrello 2.35.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_multipagedialogbase.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/dialogs/multipagedialogbase.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_MultiPageDialogBase_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_MultiPageDialogBase_t | qt_meta_stringdata_MultiPageDialogBase
static const uint | qt_meta_data_MultiPageDialogBase []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_MultiPageDialogBase_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_MultiPageDialogBase_t
Definition: moc_multipagedialogbase.cpp:24

## Variable Documentation

## ◆ qt_meta_data_MultiPageDialogBase

const uint qt_meta_data_MultiPageDialogBase[]
| static

## ◆ qt_meta_stringdata_MultiPageDialogBase

const qt_meta_stringdata_MultiPageDialogBase_t qt_meta_stringdata_MultiPageDialogBase
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 19),
QT_MOC_LITERAL(1, 20, 9),
QT_MOC_LITERAL(2, 30, 0),
QT_MOC_LITERAL(3, 31, 12),
QT_MOC_LITERAL(4, 44, 14),
QT_MOC_LITERAL(5, 59, 18),
QT_MOC_LITERAL(6, 78, 5),
QT_MOC_LITERAL(7, 84, 13),
QT_MOC_LITERAL(8, 98, 16),
QT_MOC_LITERAL(9, 115, 18),
QT_MOC_LITERAL(10, 134, 15),
QT_MOC_LITERAL(11, 150, 17),
QT_MOC_LITERAL(12, 168, 16),
},
"MultiPageDialogBase\0okClicked\0\0"
"applyClicked\0defaultClicked\0"
"slotEnableButtonOk\0state\0slotOkClicked\0"
"slotApplyClicked\0slotDefaultClicked\0"
"slotHelpClicked\0slotButtonClicked\0"
"QAbstractButton*\0button"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_multipagedialogbase.cpp:28